Name:          surface-tools
Version:       20180914git
Release:       6mamba
Summary:       Tools for using the Microsoft Surface with Linux
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/freundTech/surface-tools
Source:        https://github.com/Surface-Pro-3/surface-tools.git/master/surface-tools-%{version}.tar.bz2
Source1:       autorotate.desktop
Patch0:        surface-tools-20180914git-autorotate-autodetect.patch
Patch1:        surface-tools-20180914git-check-and-fork.patch
Patch2:        surface-tools-20180914git-penmon-autodetect.patch
Patch3:        surface-tools-20180914git-autorotate-chuwi-fix-and-touchscreen.patch
Patch4:        surface-tools-20180914git-autorotate-python3.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
Requires:      pyudev-py3
Requires:      python3
Requires:      pygobject-py3
Requires:      xrandr
Requires:      xinput

%description
Tools for using the Microsoft Surface with Linux.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -d %{buildroot}%{_datadir}/autorotate
cp autorotate/*.png %{buildroot}%{_datadir}/autorotate
cp autorotate/autorotate %{buildroot}%{_datadir}/autorotate/

#install -D -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/xdg/autostart/autorotate.desktop

install -D -m0755 penmon/penmon %{buildroot}%{_datadir}/penmon/penmon

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
#%{_sysconfdir}/xdg/autostart/autorotate.desktop
%dir %{_datadir}/autorotate
%{_datadir}/autorotate/*.png
%{_datadir}/autorotate/autorotate
%dir %{_datadir}/penmon
%{_datadir}/penmon/penmon
%doc LICENSE

%changelog
* Sat Jul 24 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 20180914git-6mamba
- update autorotate patch for python3  pyudev 0.22

* Mon Dec 21 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 20180914git-5mamba
- rebuilt with python3

* Sat Aug 03 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 20180914git-4mamba
- autorotate: fixes and touchscreen rotation support for chuwi

* Tue Mar 05 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 20180914git-3mamba
- patch #0 updated to detect DSI-1 displays

* Sat Sep 15 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 20180914git-2mamba
- autorotate: apply patch to check rotation at startup and fork
- penmon: initial patch to support devices autodetection
- autorotate: disable session autostart (done in sddm Xsetup)

* Fri Sep 14 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 20180914git-1mamba
- package created using the webbuild interface
